import request from '@/server'

export const getRecordPage = (data) => {
  return request({
    url: '/user-training/h5/training/record/me/page',
    method: 'POST',
    data
  })
}

export const getRecordById = (id) => {
  return request({
    url: '/user-training/h5/training/record/detail?id=' + id,
    method: 'GET'
  })
}

export const startTrain = (data) => {
  return request({
    url: '/user-training/h5/training/record/begin',
    method: 'POST',
    data
  })
}

export const finishTrain = (data) => {
  return request({
    url: '/user-training/h5/training/record/finish',
    method: 'POST',
    data
  })
}

export const addTrain = (data) => {
  return request({
    url: '/user-training/h5/training/record',
    method: 'POST',
    data
  })
}

export const delTrainByIOd = (id) => {
  return request({
    url: `/user-training/h5/training/record/${id}`,
    method: 'DELETE'
  })
}
