import request from '@/server'

export const login = (data) => {
  return request({
    url: '/user-training/h5/account/login',
    method: 'POST',
    data
  })
}

export const resetPassword = (data) => {
  return request({
    url: '/user-training/h5/account/reset/password',
    method: 'PUT',
    data
  })
}

export const smsGetCode = (phone) => {
  return request({
    url: `/user-training/h5/account/sms/${phone}`,
    method: 'POST'
  })
}
