import request from '@/server'

export const checkIn = (data) => {
  return request({
    url: '/user-training/h5/visitor/check-in',
    method: 'POST',
    data
  })
}

export const getCheckInState = (data) => {
  return request({
    url: '/user-training/h5/visitor/check-in/state',
    method: 'POST',
    data
  })
}

export const review = (data) => {
  return request({
    url: '/user-training/h5/visitor/review',
    method: 'POST',
    data
  })
}

export const getReviewState = (data) => {
  return request({
    url: '/user-training/h5/visitor/review/state',
    method: 'POST',
    data
  })
}

export const getVisitorTrainRecord = (id) => {
  return request({
    url: '/user-training/h5/visitor/training/record/detail?id=' + id,
    method: 'GET'
  })
}

export const getVisitorInfo = (code) => {
  return request({
    url: '/user-training/h5/visitor/wechat/user/info?code=' + code,
    method: 'GET'
  })
}

export const registerLocation = (url) => {
  return request({
    url: '/user-training/h5/visitor/wechat/location?url=' + url,
    method: 'GET'
  })
}
